Subject: Re: OT: Re: solved: Re: [rtc-linux] Re: DS1337 RTC on I2C broken.

From: Clemens Koller <[email-masked]>
Date: Wed, 05 Dec 2007 11:27:40 +0100

Hi, Scott!

 >> Well, the subject is about RTCs.
 >
 > Not really, it's about a change in the i2c subsystem (I noticed you
 > didn't include the i2c list or linuxppc-dev... you'd get a larger
 > audience of the people that actually made the change that way).  That it
 > happens to be an RTC chip you're using on the i2c bus is an
 > inconsequential detail.

Looks like I wasn't subscribed to the list anymore, so I
missed lots of DT related discussions - my bad. :-(

 >> Well... let's take it easy. I'll dig into the pcf8563 code now.
 >
 > BTW, there were patches posted recently by Jon Smirl to convert that
 > driver to new-style, and to change the i2c subsystem to have the OF
 > matches in the driver itself.

That looks promising. I really didn't expect to find rtc driver names
in fsl_soc.c...

Regards,
-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com